#
# spec file for package apache2-mod_vhs (Version 1.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-mod_vhs
BuildRequires: apache2-devel pcre-devel openssl-devel php5-devel
%define modname mod_vhs
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:	1.1.0
Release:	1.1
License:	Apache License
Group:		Productivity/Networking/Web/Servers
Requires:	apache2 %{apache_mmn} 
Autoreqprov:	on
Summary:	Mass hosting module for apache
Url:		http://openvisp.fr/doku/doku.php?id=mod_vhs:intro
Source0:	%{modname}-%{version}.tar.bz2
Source1:	mod_vhs.conf.suse
Patch0:		mod_vhs-makefile.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Apache mass hosting module which supports mod_ldap and mod_dbd backends.

%debug_package
%prep
%setup -n %{modname}-%{version}
%patch0

%build
%__make

%install
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/openldap/schema
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}/%{modname}.so || ls -al
cp %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/%{modname}.conf
chmod -x README* WARNING* ChangeLog
# not needed in mod_dbd version
##cp mod_vhs.schema $RPM_BUILD_ROOT/%{_sysconfdir}/openldap/schema/mod_vhs.schema

%files
%defattr(-,root,root)
%doc README* WARNING* ChangeLog
%{apache_libexecdir}/*.so
%config(noreplace) %{apache_sysconfdir}/conf.d/%{modname}.conf
# not needed in mod_dbd version
##%dir %{_sysconfdir}/openldap
##%dir %{_sysconfdir}/openldap/schema
##%config %{_sysconfdir}/openldap/schema/mod_vhs.schema

%changelog
* Sun Aug 06 2010 Carsten Schoene <cs@linux-administrator.com> - 1.1.0-1
- initial package (1.1.0)
